/* This file is part of Cloudy and is copyright (C)1978-2007 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
#include "cddefines.h"
#include "path.h"

/* 
This file sets the "path", the location containing all the cloudy data files.
You should modify the path to point to the data files on your machine.
The path is set in the line starting "char chDataPath" below. 

there are two sample paths - the first is for a windows pc and
the second is for a Unix box

FILENAME_PATH_LENGTH is the size of the string that holds the path.  
Increase the size of this variable in the header file cddefines.h
this if a larger string is needed to hold the path on your system.  

C++ source syntax:  there are two sample paths below to use as examples.
In C++ a comment begins with the character string "slash star" and ends with the
string "star slash".  These sentences are comments because they begin and end this
way. 
Source lines end in a semicolon in C++
A string is anything between two double quotes.  "This is a string"
*/

#ifdef LOCAL_DATA_PATH
/* the first branch was added by Robin Williams and allows you to specify
 * any path as an argument to the compiler */ 
char chDataPath[FILENAME_PATH_LENGTH]=LOCAL_DATA_PATH;/**/
#else
/* This is the version you need to change - the first is the format to use 
 * on a windows machine
 * remove or comment out if you don't want to use it */
char chDataPath[FILENAME_PATH_LENGTH]="c:\\projects\\Cloudy\\cloudy_old\\c07.02_branch\\data\\";
/* this is a sample path on a Unix box - uncomment and edit this this on linux */
/* char chDataPath[FILENAME_PATH_LENGTH]="/u/home1/gary/cloudy/current/data/";*/
#endif

/* true says that the path has been set - do not change this */
bool lgDataPathSet=true;
